## NAME

r.topmodel - Simulates TOPMODEL which is a physically based hydrologic model.

## SYNOPSIS

r.topmodel
r.topmodel help
r.topmodel [-io] [elevation=string] [basin=string] [depressionless=string] [direction=string] [belevation=string] [topidx=string] [nidxclass=integer] idxstats=string parameters=string input=string output=string [Qobs=string] [timestep=integer] [idxclass=integer]

### Flags:

-i
  Input data given for (o/i)
-o
  Overwrite outputs

### Parameters:

elevation=string
  (i) Rectangular elevation map
basin=string
  (i) Basin map created by r.water.outlet
depressionless=string
  (o) Depressionless elevation map
direction=string
  (o) Direction map with depressionless elevation map
belevation=string
  (o) Basin elevation map (extracted)
topidx=string
  (o) Topographic index ln(a/tanB) map (extracted)
nidxclass=integer
  (i) Number of topographic index classes
  Default: 30
idxstats=string
  (o/i) Topographic index statistics file
parameters=string
  (i) TOPMODEL Parameters file
input=string
  (i) Rainfall and potential evapotranspiration data file
output=string
  (o) Output file
Qobs=string
  Observed Q file
timestep=integer
  output for given time step
idxclass=integer
  output for given topographic index class

## DESCRIPTION

r.topmodel simulates TOPMODEL which is a physically based hydrologic model.

Note: (i) means input; (o) means output; (o/i) means input or output

The -i flag defines that input data are given for (o/i). Without this flag, all input data (i) and intermediate output (o/i) should be given and intermediate output can not be input for run. For example, [belevation] map will be created from [elevation] and [basin] in every run. However, every [belevation] output is the same and this is useless process if [belevation] map is already given. With this flag, intermediate output can be input for run. (o/i) parameters will be affected by this flag.

### Selected Parameters:

depressionless
  (o) Depressionless elevation map
  This can be omitted if [elevation] map is already depressionless map. If this is given, [depressionless] map will be used as [elevation] map.
belevation
  (o/i) Basin elevation map (extracted). Study basin extracted elevation map
topidx
  (o/i) Topographic index ln(a/tanB) map (extracted). Study basin extracted topographic index map
Qobs
  Observed Q file. Compare Qt with Qobs and calculate model efficiency

  ## SEE ALSO

  r.topidx

  ## AUTHORS

  Main algorithm sources are rewritten from TMOD9502.FOR.
  TMOD9502.FOR is available from www.es.lancs.ac.uk/hfdg/topmodel.html.
  Thanks to Keith Beven.

  GRASS port by Huidae Cho
  Hydro Laboratory, Kyungpook National University, South Korea

  Last changed: $Date: 2005/02/21 09:11:45 $

  Help Index